MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000510VCMIMechanics - Battlespublic2010-06-25 12:292016-02-14 13:40
ReporterBoulie 
Assigned ToSXX 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.81 
Target VersionFixed in Version0.98g 
Summary0000510: There is no drawbridge during town siege.
DescriptionAlso after stack is killed on the drawbridge it should be opened, so attacking troop should be able to go through.
see screnshot
TagsNo tags attached.
Attached Filesjpg file icon drawbridge during siege.jpg [^] (277,209 bytes) 2010-06-25 12:29

- Relationships
related to 0002250resolvedSXX Cannot attack unit standing in gate from behind during siege 

-  Notes
(0006381)
SXX (administrator)
2016-01-29 03:17
edited on: 2016-01-29 03:17

So I'm working on gate and drawbridge mechanics, but I'm don't do anything related to client visuals.

(0006419)
SXX (administrator)
2016-02-13 15:58

Both mechanics and client-side visualization implemented:
https://github.com/vcmi/vcmi/pull/181 [^]

There is no animation and movements of double wide stacks may be a bit weird. Though as far as I know gameplay-wise everything is work as needed.

- Issue History
Date Modified Username Field Change
2010-06-25 12:29 Boulie New Issue
2010-06-25 12:29 Boulie Status new => assigned
2010-06-25 12:29 Boulie Assigned To => Tow dragon
2010-06-25 12:29 Boulie File Added: drawbridge during siege.jpg
2011-10-28 17:14 Zamolxis Severity tweak => feature
2016-01-29 02:57 SXX Assigned To Tow dragon => SXX
2016-01-29 03:17 SXX Note Added: 0006381
2016-01-29 03:17 SXX Note Edited: 0006381 View Revisions
2016-02-13 15:51 SXX Relationship added related to 0002250
2016-02-13 15:58 SXX Note Added: 0006419
2016-02-14 13:40 SXX Status assigned => resolved
2016-02-14 13:40 SXX Fixed in Version => 0.98g
2016-02-14 13:40 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean